> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 id 获取 Business Data Trustpilot 评论结果

> 此端点提供发布在 [Trustpilot](https://www. 上的评论



## OpenAPI

````yaml openapi/zh/dataforseo.json GET /dataforseo/business_data/trustpilot/reviews/task_get/{id}
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/trustpilot/reviews/task_get/{id}:
    get:
      summary: 按 id 获取 Business Data Trustpilot 评论结果
      description: >-
        此端点提供发布在 [Trustpilot](https://www.trustpilot.com/)
        平台上的评论。返回结果针对指定的企业实体。我们会尽可能精确地模拟设定的参数，使您收到的结果与任务设置时指定参数对应的实际搜索结果一致。您可以随时在无痕模式下访问
        `check_url`
        检查返回结果，以确保收到的数据完全相关。请注意，我们的系统会忽略用户偏好、搜索历史记录及其他个性化搜索因素，因此返回结果不会反映这些因素。
      operationId: get_dataforseo_business_data_trustpilot_reviews_task_get_id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: DataForSEO 任务 ID。
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: >-
            *任务标识符* **本系统中采用
            [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
            格式的唯一任务标识符**；你可以在 **30 天内**随时使用它请求任务结果。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*所有*任务*的总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`** 数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '***`tasks`** 数组中返回错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      *任务标识符* **我们系统中采用
                      [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式的唯一任务标识符**
                  tasks.status_code:
                    type: integer
                    description: >-
                      由 DataForSEO 生成的*任务状态码*；范围为
                      10000-60000；你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表
                  tasks.status_message:
                    type: string
                    description: >-
                      *任务的提示信息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看通用提示信息的完整列表
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*'
                  result.domain:
                    type: string
                    description: '*商业实体的域名*'
                  result.type:
                    type: string
                    description: '*POST 数组中的搜索引擎类型*'
                  result.se_domain:
                    type: string
                    description: '*POST 数组中的搜索引擎域名*'
                  result.check_url:
                    type: string
                    description: '*搜索引擎结果的直接 URL*，你可以使用它确认我们提供的结果是否准确'
                  result.datetime:
                    type: string
                    description: >-
                      *收到结果的日期和时间*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：`2019-11-15 12:57:46 +00:00`
                  result.title:
                    type: string
                    description: '*Trustpilot 上“reviews”元素的标题* 收集评论所针对的企业实体名称'
                  result.location:
                    type: string
                    description: '*Trustpilot 上指定的企业实体位置* 所收集评论对应的企业实体地址'
                  result.reviews_count:
                    type: integer
                    description: '*评论总数*'
                  result.rating:
                    type: object
                    description: '*对应商业实体的评分*，基于评论得出的热门度，并显示在 SERP 中'
                  result.rating_type:
                    type: string
                    description: '*评分类型*，此处可包含以下元素：`Max5`、`Percents`、`CustomMax`'
                  result.value:
                    type: number
                    description: '*基于所有评论的平均评分*'
                  result.votes_count:
                    type: integer
                    description: '*投票数*'
                  result.rating_max:
                    type: integer
                    description: '*`rating_type` 的最大值*'
                  result.items_count:
                    type: integer
                    description: '*results 数组中的项目数量* 设置任务时，可使用 `depth` 参数获取更多结果'
                  items:
                    type: array
                    items:
                      type: string
                    description: '*找到的评论* 设置任务时，可使用 `depth` 参数获取更多结果'
                  items.type:
                    type: string
                    description: '*评论类型* 可用的评论类型：`"trustpilot_review_search"`'
                  items.rank_group:
                    type: integer
                    description: >-
                      *在具有相同 `type` 值的一组元素中的位置* 具有不同 `type` 值的元素的位置不计入
                      `rank_group`
                  items.rank_absolute:
                    type: integer
                    description: '*在所有列出的评论中的绝对排名* 在列表中所有评论中的绝对位置'
                  items.position:
                    type: string
                    description: '*评论在 SERP 中的对齐方式*可取以下值：`right`'
                  items.url:
                    type: string
                    description: '*评价者个人资料的 URL*'
                  items.rating:
                    type: object
                    description: '*评论者提交的评分*'
                  items.rating_type:
                    type: string
                    description: '*评分类型*，可取以下值：`Max5`'
                  items.value:
                    type: number
                    description: '*评分值*'
                  items.votes_count:
                    type: integer
                    description: '*反馈数量*表示该评论获得的投票数'
                  items.rating_max:
                    type: integer
                    description: '*`rating_type` 的最大值* `Max5` 的最大值为 5'
                  items.verified:
                    type: boolean
                    description: '*表示该评论是否带有“已验证”标记*'
                  items.language:
                    type: boolean
                    description: '*评论语言*'
                  items.timestamp:
                    type: string
                    description: >-
                      *响应的发布时间和日期*，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：`2019-11-15 12:57:46 +00:00`
                  items.title:
                    type: string
                    description: '*所有者回复的标题*'
                  items.review_text:
                    type: string
                    description: '*评论内容*'
                  items.review_images:
                    type: array
                    items:
                      type: string
                    description: >-
                      *评论者提交的图片* 显示评论作者所提供图片的 URL；**请注意**，Trustpilot
                      不允许在评论中添加图片，因此 `review_images` 参数将始终等于 `null`
                  items.user_profile:
                    type: object
                    description: '*审核者的用户资料*'
                  items.name:
                    type: string
                    description: '*评论者的姓名*'
                  items.image_url:
                    type: string
                    description: '*评论者个人资料图片的 URL*'
                  items.location:
                    type: string
                    description: '*评论者所在国家/地区*'
                  items.reviews_count:
                    type: integer
                    description: '*评论者提交的评论总数*'
                  items.responses:
                    type: array
                    items:
                      type: string
                    description: '*所有者对所提交评论的回复*'
                  items.text:
                    type: string
                    description: '*所有者的回复文本*'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````